Page MenuHomePhabricator

Headers not parsed in TOC
Open, LowestPublicBUG REPORT

Description

If a Lqt header contains a template that for example parses to "text" and this requires "{{text}}", then the link to the topic will contain {{text}} while the header directly above the topic text read "text".

This is inconsistent behaviour I would like to see fixed. See http://translatewiki.net/wiki/Support for examples.


Version: unspecified
Severity: major
URL: http://translatewiki.net/wiki/Support
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=57153

Details

Reference
bz21445

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 10:51 PM
bzimport set Reference to bz21445.
bzimport added a subscriber: Unknown Object (MLST).
  • Bug 21691 has been marked as a duplicate of this bug. ***

The inconsistency has been fixed, whether it's best to parse links only or the full range of wikitext has not been resolved.

(In reply to comment #2)

The inconsistency has been fixed, whether it's best to parse links only or the
full range of wikitext has not been resolved.

This issue was fixed by no longer parsing the topics of the issues, so that the topics on Lqt pages on for example http://translatewiki.net/wiki/Project:Translator also look pretty ugly.

What's the final outcome, and why?

  • Bug 24683 has been marked as a duplicate of this bug. ***

There are many reports related to parsing or not parsing {{foo}}. Taking this as reference and raising its priority.

The first problem to solve is documentation: what is the current behavior?

Then maybe we can fine tune that behavior based ons specific needs. Most of us will agree that rendering {{bar}} in titles is useful, although we can also agree that some limitation must be in place to avoid the rendering of full pages, or variables driving mad the tool.

Jdforrester-WMF lowered the priority of this task from Low to Lowest.Aug 4 2016, 11:36 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

LiquidThreads has been replaced by StructuredDiscussions on all Wikimedia production wikis (except one, which will be done soon). It is no longer under active development or maintenance, so I'm re-classifying all open LQT tasks as "Lowest" priority.

Aklapper changed the subtype of this task from "Task" to "Bug Report".Feb 6 2022, 7:18 PM
Aklapper removed a subscriber: wikibugs-l-list.